library(margins)

# Test treatment effect

database_full <- database_full %>%
  filter(!is.na(Treatment_new)) %>%
  mutate(Dummy_Video_1 = case_when(Treatment_new == 1 ~ 1, TRUE ~ 0),
         Dummy_Video_2 = case_when(Treatment_new == 5 ~ 1, TRUE ~ 0),
         Dummy_no_info = case_when(Treatment_new == 3 ~ 1, TRUE~0),
         Dummy_Info_nv1 = case_when(Treatment_new == 2 ~1, TRUE~0),
         Dummy_Info_nv2 = case_when(Treatment_new == 4 ~1 , TRUE~0))




data <- database_full %>%
  group_by(id) %>%
  slice(1) %>%
  ungroup()
data <- data %>% 
  mutate(Choice_Treat = ifelse( Dummy_Video_2 == 1 | Dummy_Info_nv2 == 1, 1, 
                               ifelse(Dummy_no_info==1 ,0,NA))) 



table(data$Choice_Treat)  


      
logit_choice_treat<-glm(Choice_Treat ~  as.factor(Gender)+Z_Mean_NR+Age_mean + QFIncome +
                          as.factor(Education), data, family=binomial)
summary(logit_choice_treat)


logit_choice_treat_uni<-glm(Choice_Treat ~  as.factor(Gender)+Z_Mean_NR+Age_mean + QFIncome +
                          Uni_degree , data, family=binomial)
summary(logit_choice_treat_uni)

# Calculate marginal effects
marginal_effects <- margins(logit_choice_treat_uni)

# Display the marginal effects
summary(marginal_effects)               

