library(margins)

# Test treatment effect

database_full <- database_full %>%
  filter(!is.na(Treatment_new)) %>%
  mutate(Dummy_Video_1 = case_when(Treatment_new == 1 ~ 1, TRUE ~ 0),
         Dummy_Video_2 = case_when(Treatment_new == 5 ~ 1, TRUE ~ 0),
         Dummy_no_info = case_when(Treatment_new == 3 ~ 1, TRUE~0),
         Dummy_Info_nv1 = case_when(Treatment_new == 2 ~1, TRUE~0),
         Dummy_Info_nv2 = case_when(Treatment_new == 4 ~1 , TRUE~0))
  




data <- database_full %>%
  group_by(id) %>%
  slice(1) %>%
  ungroup()

data <- data %>% 
  mutate(Choice_Prot= case_when(count_choosen_3==10 ~ 1, TRUE~0))


table(data$Choice_Prot)  


      
logit_choice_prot<-glm(Choice_Prot ~  Gender_female +Z_Mean_NR+Age_mean + QFIncome + 
                          Uni_degree, data, family=binomial)
summary(logit_choice_prot)

logit_choice_prot_tr<-glm(Choice_Prot ~  Gender_female +Z_Mean_NR+Age_mean + QFIncome +
                         Uni_degree + as.factor(Treatment_A) + Naturalness_SQ + WalkingDistance_SQ +
                           Rent_SQ, data, family=binomial)
summary(logit_choice_prot_tr)


# Calculate marginal effects
marginal_effects <- margins(logit_choice_prot_tr)

# Display the marginal effects
summary(marginal_effects)               

data$Treatment_C <- as.factor(data$Treatment_C)
data$Treatment_C <- relevel(data$Treatment_C, ref = "No Treatment 3")


logit_choice_prot_trC<-glm(Choice_Prot ~  Gender_female +Z_Mean_NR+Age_mean + QFIncome +
                            Uni_degree + as.factor(Treatment_C) + Naturalness_SQ + WalkingDistance_SQ +
                            Rent_SQ, data, family=binomial)
summary(logit_choice_prot_trC)

