df_NR_C <- as.data.frame(mxl_wtp_NR_case_c_rentINT$estimate)
alpha = 0.1
z_value <- qnorm(1-alpha)
df_NR_C$margin_of_error1 <- z_value*mxl_wtp_NR_case_c_rentINT$robse

df_NR_C <- rownames_to_column(df_NR_C, "Coefficent")

colnames(df_NR_C) <- c("Coefficent", "Estimate", "Margin_of_error")

df_NR_C_melt <- melt(df_NR_C[1:2], id = "Coefficent")

df_NR_C_melt$ME <- df_NR_C$Margin_of_error

df_NR_C_melt <- df_NR_C_melt %>%
  filter(str_starts(Coefficent, "mu_nat_"))

df_NR_C_melt$Coefficent <- c("NR", "Video 1", "Video 2", "No Info 2", "Text 1", "Text 2")

ggplot(data=df_NR_C_melt, 
       aes(x=factor(Coefficent, levels = c("NR", "No Info 2", "Text 1", "Text 2", "Video 1", "Video 2")),
          y=value, fill=variable)) +
  geom_bar(aes(fill=Coefficent), stat="identity",  position='dodge', width = 0.9, alpha=0.7) +
  geom_errorbar(aes(x=Coefficent, ymin=value-ME, ymax=value+ME), width=0.3, position=position_dodge(0.8)) +
  ylab("Interaction Effect WTP Naturalness") +
  xlab("Interaction") +
  scale_x_discrete(guide = guide_axis(angle = 45)) 
